Bug Hunting Session
Bug 103334 - EDITING: Undo on bullet point style change only works when focus is not set
Summary: EDITING: Undo on bullet point style change only works when focus is not set
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.0.0.3 rc
Hardware: All All
: medium normal
Assignee: Noel Grandin
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-19 13:42 UTC by Noel Grandin
Modified: 2016-11-21 10:25 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
test doc (65.52 KB, application/vnd.oasis.opendocument.presentation)
2016-10-19 13:42 UTC, Noel Grandin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Grandin 2016-10-19 13:42:07 UTC
Created attachment 128071 [details]
test doc

Open attached document with LO (I was using 5.0.4.1 on Linux or 5.0.3.2 on Windows). Mark the last two bullet points backwards wise (so that the cursor is actually at the end of the line above). Then change bullet point style to numbers and all three lines will change. So far so good. Now, WITHOUT any focus change, Undo the changes and you will see, that the changes are not undone, but something pretty much screwed up. This is not intended. 

Interestingly,
1) when resetting the focus before using undo (e.g. by clicking somewhere on the slide), it works. So it seems undo is broken when using current focus.
2) In the Windows version of LO, it is possible to execute a second undo, which reverts all changes.

expected result: Undo works also without resetting the focus the first time.

Issue seen with LibreOffice 5.0.3.2 on Windows and 5.0.4.1 on Linux.
Comment 1 Noel Grandin 2016-10-19 13:42:47 UTC
Might be related to bug#69811
Comment 2 Commit Notification 2016-10-31 06:06:52 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ee33745ced5ae12f9ae7735fac16a7298ccae474

tdf#103334 - EDITING: Undo on bullet point style

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-11-21 10:25:08 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4e29dfdd4f95101a1ceff36f735bb0d2eef4d919&h=libreoffice-5-2

tdf#103334 - EDITING: Undo on bullet point style

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.